import type { AuthOptions } from "next-auth";
import AuthentikProvider from "next-auth/providers/authentik";

export const authOptions: AuthOptions = {
  providers: [
    AuthentikProvider({
      clientId: process.env.AUTHENTIK_ID!,
      clientSecret: process.env.AUTHENTIK_SECRET!,
      issuer:
        process.env.AUTHENTIK_ISSUER ??
        "https://sso.revolt.chat/application/o/admin-panel",
    }),
  ],
  pages: {
    signIn: "/",
  },
};
